package com.wanyue.main.bean;

import com.wanyue.common.bean.commit.CommitEntity;

import java.io.File;

public class FeedBackCommitBean extends CommitEntity {
    private String content;
    private String thumb;
    private File file;

    public String getContent() {
        return content;
    }
    public void setContent(String content) {
        this.content = content;
        observer();
    }
    public String getThumb() {
        return thumb;
    }
    public void setThumb(String thumb) {
        this.thumb = thumb;
        observer();
    }

    @Override
    public boolean observerCondition() {
        return fieldNotEmpty(content)||fieldNotEmpty(file);
    }

    public File getFile() {
        return file;
    }

    public void setFile(File file) {
        this.file = file;
        observer();
    }
}
